Cregis Developer Docs
POST/openapi/v1/wallet_address

List Wallet Addresses

Query all address information under the specified wallet.

Rate limit: 1000 requests/minute

Request

Headers

  • Access-Keystringrequired

    API Key identifier used to identify the caller.

  • Access-Timestampinteger<int64>required

    Unix timestamp in milliseconds.

  • Access-Noncestringrequired

    Random string used to prevent replay attacks.

  • Access-Signaturestringrequired

    Request signature calculated with the Access Secret.

Request Body

required

application/json
  • wallet_idinteger<int64>required

    Wallet ID to query. You can find it in Cregis portal > Wallet > Settings.

  • chain_idstringrequired

    Blockchain ID.

  • page_numinteger<int32>

    Page number. Defaults to 1 if omitted.

  • page_sizeinteger<int32>

    Number of records per page. Defaults to 10 if omitted. Maximum value is 100.

Responses

200Success
application/json
  • codestring

    Response code.

  • msgstring

    Response message.

  • dataobject

    Response data.

    • totalinteger<int64>

      Total number of records.

    • page_numinteger<int32>

      Current page number.

    • page_sizeinteger<int32>

      Number of records per page.

    • rowsarray

      Wallet address list.

      Array items

      • addressstring

        Address.

      • aliasstring

        Address alias displayed in the Cregis App. 1-40 characters.

      • address_statusstring
        enum: "enable", "disable"

        Address status

        • enableenabled
        • disabledisabled
      • create_timeinteger<int64>

        Address creation time, 10-digit Unix timestamp.